# API

## GraphQL API

The future of the Open Collective API is our public GraphQL API. You can check the documentation on [https://graphql-docs-v2.opencollective.com](https://graphql-docs-v2.opencollective.com/).

Learn more about it here:\
<https://medium.com/open-collective/open-collective-graphql-api-preview-3b42ed1d55ff>

## REST API

Our REST API is still supported but we're not working on it anymore.

* [Members](/help/contributing/development/api/members.md)
  * Get list of members
* [Collectives](/help/contributing/development/api/collectives.md)
  * Get collective info
  * Get members
  * Get members per tier
  * Get transactions from collective

## PDF Service

The PDF service supports passing either a `Personal-Token` (for personal tokens) or an `Authorization` header (for OAuth).&#x20;

**Getting the receipt for a contribution**

```
GET https://pdf.opencollective.com/receipts/transactions/:transactionUUID/receipt.pdf
```

**Getting the PDF for an Invoice Expense**

```
GET https://pdf.opencollective.com/expense/:expenseUUID/invoice.pdf
```

**Getting a bundled receipt for a fiscal host/period**

```
GET https://pdf.opencollective.com/receipts/collectives/:fromCollective/:host/:fromDate/:toDate/receipt.pdf
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.opencollective.com/help/contributing/development/api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
